BaseItem
Keywords: org.diligentproject.portlets.session.client.BaseItem class

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.diligentproject.portlets.session.client
Class BaseItem

    java.lang.Object
      org.diligentproject.portlets.session.client.BaseItem

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

Direct Known Subclasses:
  DraggableImage

    public class BaseItem

extends java.lang.Object
implements com.google.gwt.user.client.rpc.IsSerializable

The `BaseItem` is the basic item tha can be put inside the basket each item that can be placed in the basket has to extends this class.

Version:
  march 2007 (1.0)
Author:
  massimiliano.assante@isti.cnr.it

Constructor Summary
`BaseItem()` constructs an empty BaseItem
`BaseItem(int id, java.lang.String type, java.lang.String mimeType, java.lang.String label, java.lang.String metadata, java.lang.String content)` constructs the base item

Method Summary
`java.lang.String` | `getContent()`
`int` | `getId()`
`java.lang.String` | `getLabel()`
`java.lang.String` | `getMetadata()`
`java.lang.String` | `getMimeType()`
`java.lang.String` | `getType()`
`void` | `setContent(java.lang.String content)`
`void` | `setId(int id)`
`void` | `setLabel(java.lang.String label)`
`void` | `setMetadata(java.lang.String metadata)`
`void` | `setMimeType(java.lang.String mimeType)`
`void` | `setType(java.lang.String type)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseItem

    public BaseItem()

  constructs an empty BaseItem

### BaseItem

    public BaseItem(int id,
                    java.lang.String type,
                    java.lang.String mimeType,
                    java.lang.String label,
                    java.lang.String metadata,
                    java.lang.String content)

  constructs the base item

  Parameters:
    `id` - : the identifier
    `mimeType` - : the mimeType
    `type` - : the type of the file
    `label` - : the label to display when the widget is inside the basket
    `` -

Method Detail

### getMimeType

    public java.lang.String getMimeType()

### setMimeType

    public void setMimeType(java.lang.String mimeType)

### getLabel

    public java.lang.String getLabel()

### setLabel

    public void setLabel(java.lang.String label)

### getContent

    public java.lang.String getContent()

### setContent

    public void setContent(java.lang.String content)

### getId

    public int getId()

### setId

    public void setId(int id)

### getMetadata

    public java.lang.String getMetadata()

### setMetadata

    public void setMetadata(java.lang.String metadata)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD